GWT 2.7.0

## com.google.web.bindery.requestfactory.shared.messages
Interface JsonRpcRequest

    public interface JsonRpcRequest

A JSON-RPC request payload.

Method Summary
`java.lang.String` | `getApiVersion()`
`int` | `getId()`
`java.lang.String` | `getMethod()`
`java.util.Map<java.lang.String,Splittable>` | `getParams()`
`java.lang.String` | `getVersion()`
`void` | `setApiVersion(java.lang.String version)`
`void` | `setId(int id)`
`void` | `setMethod(java.lang.String method)`
`void` | `setParams(java.util.Map<java.lang.String,Splittable> params)`
`void` | `setVersion(java.lang.String version)`

Method Detail

### getApiVersion

    java.lang.String getApiVersion()

### getId

    int getId()

### getMethod

    java.lang.String getMethod()

### getParams

    java.util.Map<java.lang.String,Splittable> getParams()

### getVersion

    @AutoBean.PropertyName(value="jsonrpc")
    java.lang.String getVersion()

### setApiVersion

    void setApiVersion(java.lang.String version)

### setId

    void setId(int id)

### setMethod

    void setMethod(java.lang.String method)

### setParams

    void setParams(java.util.Map<java.lang.String,Splittable> params)

### setVersion

    @AutoBean.PropertyName(value="jsonrpc")
    void setVersion(java.lang.String version)

GWT 2.7.0